package cn.iocoder.yudao.module.identity.convert.generaterecord;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.identity.controller.admin.generaterecord.vo.*;
import cn.iocoder.yudao.module.identity.dal.dataobject.generaterecord.GenerateRecordDO;

/**
 * 标识码生成记录 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface GenerateRecordConvert {

    GenerateRecordConvert INSTANCE = Mappers.getMapper(GenerateRecordConvert.class);

    GenerateRecordDO convert(GenerateRecordCreateReqVO bean);

    GenerateRecordDO convert(GenerateRecordUpdateReqVO bean);

    GenerateRecordRespVO convert(GenerateRecordDO bean);

    List<GenerateRecordRespVO> convertList(List<GenerateRecordDO> list);

    PageResult<GenerateRecordRespVO> convertPage(PageResult<GenerateRecordDO> page);

    List<GenerateRecordExcelVO> convertList02(List<GenerateRecordDO> list);

}
